Bug 1316398 - [ja] Japanese Release Notes Desktop file presents same name as for English
Summary: [ja] Japanese Release Notes Desktop file presents same name as for English
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Radek Bíba
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On: 1316777
Blocks: 1262678 1340415 1313607
TreeView+ depends on / blocked
 
Reported: 2016-03-10 07:50 UTC by Jens Petersen
Modified: 2016-11-04 08:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1272493
Environment:
Last Closed: 2016-11-04 08:24:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2544 normal SHIPPED_LIVE Red Hat Enterprise Linux 7.3 Release Notes 2016-11-03 14:19:25 UTC

Comment 2 Jens Petersen 2016-03-10 11:15:22 UTC
Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP.spec contains:

```
cat > Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP-7.desktop <<'EOF'
[Desktop Entry]
Name=Red_Hat_Enterprise_Linux 7: Release_Notes
Comment=Release Notes for Red Hat Enterprise Linux 7
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF
```

compared to 

cat > Red_Hat_Enterprise_Linux-Release_Notes-7-en-US-7.desktop <<'EOF'
[Desktop Entry]
Name=Red_Hat_Enterprise_Linux 7: Release_Notes
Comment=Release Notes for Red Hat Enterprise Linux 7
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-7-en-US-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

ie the Name and Comment for the Japanese RelNotes is identical to the English one which makes it impossible to distinguish them on the desktop.

Red_Hat_Enterprise_Linux-Release_Notes-7-ja-JP-7.desktop should be changed to have Name and Comment based on the Japanese title for the release notes.

Comment 3 Noriko Mizumoto 2016-03-11 02:01:34 UTC
I had the chat with Lee on this. I learned that this can not be corrected by the author, but this requires some investigation by Publican developer thus needs to file a bug against Publican product. It may take longer...

Comment 4 Radek Bíba 2016-07-18 05:49:06 UTC
This is on track. Will be fixed by manually tweaking the .spec file before building the RPM package so that the .desktop file gets generated with the right content (Red Hat Enterprise Linux 7 リリースノート).

Comment 8 errata-xmlrpc 2016-11-04 08:24:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2544.html


Note You need to log in before you can comment on or make changes to this bug.